import { GenericRecord } from "@webiny/cli/types";
import { IDeleteOperationParams, IInsertOperationParams, IModifyOperationParams, IOperations } from "./types";
export declare enum OperationType {
    INSERT = "INSERT",
    MODIFY = "MODIFY",
    REMOVE = "REMOVE"
}
export declare class Operations implements IOperations {
    private _items;
    get items(): GenericRecord[];
    get total(): number;
    clear(): void;
    insert(params: IInsertOperationParams): void;
    modify(params: IModifyOperationParams): void;
    delete(params: IDeleteOperationParams): void;
}
