import { ITimer } from "@webiny/handler-aws";
import { Context, IOperations } from "./types";
export interface BulkOperationsResponseBodyItemIndexError {
    reason?: string;
}
export interface BulkOperationsResponseBodyItemIndex {
    error?: BulkOperationsResponseBodyItemIndexError;
}
export interface BulkOperationsResponseBodyItem {
    index?: BulkOperationsResponseBodyItemIndex;
    error?: string;
}
export interface BulkOperationsResponseBody {
    items: BulkOperationsResponseBodyItem[];
}
export interface IExecuteParams {
    timer: ITimer;
    maxRunningTime: number;
    maxProcessorPercent: number;
    context: Pick<Context, "elasticsearch">;
    operations: Pick<IOperations, "items" | "total">;
}
export declare const execute: (params: IExecuteParams) => () => Promise<void>;
