import { IExecuteParams } from "./execute";
export interface IExecuteWithRetryParams extends Omit<IExecuteParams, "maxProcessorPercent"> {
    maxRetryTime?: number;
    retries?: number;
    minTimeout?: number;
    maxTimeout?: number;
    maxProcessorPercent?: number;
}
export declare const executeWithRetry: (params: IExecuteWithRetryParams) => Promise<void>;
