"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Decompressor = void 0;
var _apiElasticsearch = require("@webiny/api-elasticsearch");
class Decompressor {
  constructor(params) {
    this.plugins = params.plugins;
  }
  async decompress(data) {
    try {
      return await (0, _apiElasticsearch.decompress)(this.plugins, data);
    } catch (ex) {
      return null;
    }
  }
}
exports.Decompressor = Decompressor;

//# sourceMappingURL=Decompressor.js.map