"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.unmarshall = exports.marshall = void 0;
var _clientDynamodb = require("@webiny/aws-sdk/client-dynamodb");
const marshall = value => {
  if (!value) {
    return value;
  }
  return (0, _clientDynamodb.marshall)(value);
};
exports.marshall = marshall;
const unmarshall = value => {
  if (!value) {
    return undefined;
  }
  /**
   * We can safely cast the return value to `T` because we are 100% positive that this is correct.
   */
  // @ts-expect-error
  return (0, _clientDynamodb.unmarshall)(value);
};
exports.unmarshall = unmarshall;

//# sourceMappingURL=marshall.js.map